import { w as withInstall } from "../badge/index2.js";
import { defineComponent, computed, openBlock, createElementBlock, normalizeStyle, unref, renderSlot } from "vue";
var index = /* @__PURE__ */ (() => ".layui-side{overflow:auto;overflow-x:hidden;box-sizing:border-box;min-height:300px}\n")();
const __default__ = {
  name: "LaySide"
};
const _sfc_main = defineComponent({
  ...__default__,
  props: {
    width: { default: "200px" }
  },
  setup(__props) {
    const props = __props;
    const styles = computed(() => {
      return {
        flex: `0 0 ${props.width}`,
        width: `${props.width}`
      };
    });
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", {
        class: "layui-side",
        style: normalizeStyle(unref(styles))
      }, [
        renderSlot(_ctx.$slots, "default")
      ], 4);
    };
  }
});
const component = withInstall(_sfc_main);
export { component as default };
